version: "3"
services:
  postgres:
    build: ./postgres/
    image: postgres
    container_name: postgres
    restart: always
    expose:
      - '5432'
    ports:
      - 5432:5432
    environment:
      - POSTGRES_PASSWORD= password
      - POSTGRES_USER= postgres
      - POSTGRES_DB= test
    networks:
      - boot-network

  bootapp:
    build: ./
    container_name: bootapp
    environment:
      SPRING_DATASOURCE_URL: jdbc:postgresql://postgres:5432/test
      SPRING_DATASOURCE_PLATFORM: postgres
      SPRING_DATASOURCE_USERNAME: postgres
      SPRING_DATASOURCE_PASSWORD: password
    expose:
      - '8080'
    ports:
      - 8080:8080
    networks:
      - boot-network
  prometheus:
      image: prom/prometheus:v2.24.1
      container_name: 'prometheus'
      volumes:
        - ./monitor/prometheus/:/etc/prometheus/
      ports:
        - '9090:9090'
      networks:
        - boot-network
      depends_on:
        - bootapp
  grafana:
        image: grafana/grafana:5.4.3
        container_name: 'grafana'
        ports:
          - '3000:3000'
        volumes:
          - ./monitor/grafana/provisioning/:/etc/grafana/provisioning/
        env_file:
          - ./monitor/grafana/config.monitoring
        depends_on:
          - prometheus
        networks:
          - boot-network

networks:
  boot-network:
    driver: bridge